#
# spec file for package xv (Version 3.10a)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libjpeg libpng-devel-packages libtiff update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libjpeg libpng libpng-devel libtiff libtool perl rpm update-desktop-files

Name:         xv
License:      Other License(s), see package, distributable
Group:        Productivity/Graphics/Viewers
Provides:     xv300 
Autoreqprov:  on
Version:      3.10a
Release:      1076
Summary:      GIF/TIFF/JPEG/PostScript Image Viewer
Source:       xv-3.10a.tar.bz2
Source1:      xv-jap-patches.tar.bz2
Source2:      xsetbgimg
Patch:        xv-3.10a.dif
Patch1:       xv-3.10a-jumbo-fix-patch-20050410.txt
Patch2:       Patch.xv310a-ext-4.0.3.new
Patch3:       FixPix4xv.patch
Patch5:       xv-3.10a-bmp32_bmpfix.patch
Patch6:       xv-3.10a-yaos.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
XV is an interactive image viewer for the X Window System. XV displays
images in GIF, JPEG, TIFF, PNG, PBM, PGM, PPM, X Window System bitmap,
Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB,
XPM, Targa, XWD, possibly PostScript, and PM formats on workstations
and terminals running the X Window System Version 11.

XV can also manipulate pictures. It can zoom in and out, rotate, and
flip them. It also provides a wide variety of operations to modify
colors.

It is one of the most famous programs for Linux.

The documentation can be found in /usr/share/doc/packages/xv/.

Please remember that this program has shareware status for commercial
use.



Authors:
--------
    John Bradley <bradley@dccs.upenn.edu>

%prep
%setup
tar xjf ${RPM_SOURCE_DIR}/xv-jap-patches.tar.bz2
test $? -ne 0 && exit $?
%patch -P 1 -p 1 -b .sec
%patch -P 2 -p 0 -b .ext
%patch -P 3 -p 0 -b .fix
%patch -P 5 -p 0 -b .bmp
%patch -P 6 -p 0 -b .yaos
%patch

%_fixowner .

%_fixgroup .

%build
make -f Makefile.Linux compile

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.Linux DESTDIR=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/xsetbgimg $RPM_BUILD_ROOT/usr/X11R6/bin/xsetbgimg
%suse_update_desktop_file -i xv Graphics Viewer

%files
%defattr(-,root,root)
%doc README.xv310a-ext-4.0.3 README.xv310a-ext-4.0.3.eg README.PhotoCD
%doc COPYRIGHT CHANGELOG.jp-ext magic.add docs/*
/usr/share/applications/*.desktop
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xsetbgimg
/usr/X11R6/bin/xv
/usr/X11R6/bin/xvpictoppm
%doc /usr/X11R6/man/man1/bggen.1x.gz
%doc /usr/X11R6/man/man1/vdcomp.1x.gz
%doc /usr/X11R6/man/man1/xcmap.1x.gz
%doc /usr/X11R6/man/man1/xv.1x.gz
%doc /usr/X11R6/man/man1/xvpictoppm.1x.gz

%changelog -n xv
* Mon Apr 11 2005 - werner@suse.de
- Move to jumbo security fix (bug #74687)
  * remove duplicate fixes within our security fixes
  * Adapt the Japanese enhancements
  * Adapt our enhancments to the resulting source
- Use mkstemp and make it compile
* Fri Mar 04 2005 - werner@suse.de
- Fix format string error (bug #70844)
* Tue Aug 24 2004 - werner@suse.de
- Fix know overflows caused by bogus images (bug #44120)
* Sun Aug 17 2003 - adrian@suse.de
- added desktop file
* Tue Apr 15 2003 - coolo@suse.de
- use BuildRoot
* Mon Jan 27 2003 - ro@suse.de
- fix imakefile
* Wed Sep 25 2002 - werner@suse.de
- Support BMP even if padding is broken (bug #20120)
* Tue Aug 20 2002 - werner@suse.de
- Warning added: MAKI is only supported with 640x400 (bug #18093)
* Thu Aug 15 2002 - werner@suse.de
- Fix timing/refresh problem of xv with XFree86[tm]-4.2
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Fri Feb 15 2002 - ro@suse.de
- fix owner/group after unpacking all sources
* Tue Feb 12 2002 - kukuk@suse.de
- Use correct tar option
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Aug 21 2001 - cstein@suse.de
- added some sanity checking to 'xsetbgimg'
* Fri Jul 06 2001 - cstein@suse.de
- added 'xsetbgimg', a small shell script to set the X background
  quickly (calls xv)
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Jun 06 2000 - werner@suse.de
- Correct last change
* Sat May 27 2000 - kukuk@suse.de
- Use %%doc macro for documentation
* Wed Jan 12 2000 - werner@suse.de
- Better dithering of TrueColor pictures on 16bit displays
* Tue Sep 28 1999 - werner@suse.de
- Temporay files writable and readable for the owner
* Thu Sep 23 1999 - werner@suse.de
- Make temporay file creation more secure
  * Use vdroot for tmpdir if AUTOEXTRACT is defined
  * Try to open with O_WRONLY|O_CREAT|O_EXCL first
  * Unsolved: gs and pic2 output page files (%%d)
- Use better visual detection for 24 bit displays
- Expand tiff handling
  * more than the first page is viewable
  * handle LZW compression
* Wed Sep 22 1999 - werner@suse.de
- Add some boundary checks
- Add pdf support via gs
- Fix hints handling (flags initialized to zero)
- Fix grabbing
- Fix gif for deep colours spaces
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Nov 29 1998 - bs@suse.de
- don't compile with -fno-force-mem
* Wed Nov 04 1998 - werner@suse.de
- Add jap patch for new formats
- Erase remaining pixels of a not fitting line (XPM)
- Some security fixes
* Thu Sep 17 1998 - ro@suse.de
- don't redeclare sys_errlist for glibc
* Wed Nov 05 1997 - werner@suse.de
- Added png support
* Fri Oct 17 1997 - ro@suse.de
- added -lz after -ltiff
* Fri Feb 14 1997 - werner@suse.de
- Good old xv new packed
- Including some fixes for xv-3.10a
- Fix a bug in writing xpm
- Use shared lib's: libtiff.so.3, libjpeg.so.5, libgz.so.1
- Enable ghostscript and gunzip
